Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.java.archives
[Java] Interface ManifestMergeSpec

    public interface ManifestMergeSpec

Specifies how the entries of multiple manifests should be merged together.

Method Summary
`ManifestMergeSpec` | `eachEntry(Action mergeAction)` Adds an action to be applied to each key-value tuple in a merge operation.
`ManifestMergeSpec` | `eachEntry(groovy.lang.Closure mergeAction)` Adds an action to be applied to each key-value tuple in a merge operation.
`ManifestMergeSpec` | `from(java.lang.Object mergePaths)` Adds a merge path to a manifest that should be merged into the base manifest.

Method Detail

### eachEntry

    public ManifestMergeSpec eachEntry(Action mergeAction)

  Adds an action to be applied to each key-value tuple in a merge operation. If multiple merge paths are specified, the action is called for each key-value tuple of each merge operation. The given action is called with a ManifestMergeDetails as its parameter. Actions are executed in the order added.
  Parameters:
    `mergeAction` - A merge action to be executed.
  Returns:
    this

### eachEntry

    public ManifestMergeSpec eachEntry(groovy.lang.Closure mergeAction)

  Adds an action to be applied to each key-value tuple in a merge operation. If multiple merge paths are specified, the action is called for each key-value tuple of each merge operation. The given closure is called with a ManifestMergeDetails as its parameter. Actions are executed in the order added.
  Parameters:
    `mergeAction` - The action to execute.
  Returns:
    this

### from

    public ManifestMergeSpec from(java.lang.Object mergePaths)

  Adds a merge path to a manifest that should be merged into the base manifest. A merge path can be either another Manifest or a path that is evaluated as for Project.files . If multiple merge paths are specified, the manifest are merged in the order in which they are added.
  Parameters:
    `mergePaths` - The paths of manifests to be merged
  Returns:
    this

Groovy Documentation